Logoelepay
Invoices

List invoices

インボイス情報を一覧で取得します。

GET
/invoices
キーワード
開始時間(エポックミリ秒)、指定した時間以降に作成されたデータを取得します
format: int64
終了時間(エポックミリ秒)、指定した時間以前に作成されたデータを取得します
format: int64
status
最大件数
value ≤ 100 · default: 20
検索開始位置
default: 0

Response Body

application/json

OK

TypeScript Definitions

Use the response body type in TypeScript.

curl -X GET "https://api.elepay.io/invoices"
{
  "total": 0,
  "invoices": [
    {
      "id": "string",
      "object": "invoice",
      "liveMode": true,
      "customer": {
        "id": "string",
        "object": "customer",
        "liveMode": true,
        "defaultSource": "string",
        "name": "string",
        "description": "string",
        "email": "string",
        "phone": "string",
        "remark": "string",
        "operator": "string",
        "status": "active",
        "metadata": {},
        "updateTime": 0
      },
      "invoiceNo": "string",
      "name": "string",
      "memo": "string",
      "amount": 0,
      "currency": "JPY",
      "status": "draft",
      "operator": "string",
      "invoiceTime": 0,
      "sendTime": 0,
      "paidTime": 0,
      "expiryTime": 0,
      "createTime": 0,
      "fields": [
        "string"
      ],
      "items": [
        {
          "id": "string",
          "object": "invoiceItem",
          "name": "string",
          "unitPrice": 0,
          "currency": "JPY",
          "quantity": 0,
          "unit": "string",
          "taxRateType": "standard",
          "transactionTime": 0
        }
      ],
      "remark": "string",
      "metadata": {},
      "enableAutoCharge": true
    }
  ]
}